from django.urls import path
from .views import (
    index, 
    timbres_cliente,
    ClientesUpdateView,
    ClientesCreateView,
    ErroresTimbresListView,
    export_Excel,
    send_timbres_Email,
    Retrive_Cliente_Email,
    PACS_Retrive_RFCS,

    #API DRF
    saldo_funct2,
    add_timbre2,
    check_RFC,
    check_host,
    CancelaTimbre,
)

urlpatterns = [
    path('', index, name='index'),
    path('add_timbre2/', add_timbre2.as_view(), name='add_timbre2'),
    path('add_timbre/', add_timbre2.as_view(), name='add_timbre'),
    path('cancela_timbre/', CancelaTimbre.as_view(), name='cancela_timbre'),

    path('timbres_cliente/<str:RFC>/', timbres_cliente, name='timbres_cliente'),
    path('cliente/update/<int:pk>/',ClientesUpdateView.as_view(),name='update_cliente'),
    path('cliente/add/', ClientesCreateView.as_view(), name='add_cliente'),
    path('errores/timbres/list/', ErroresTimbresListView.as_view(), name='ErroresTimbresList'),
    path('get_timbres_xls/', export_Excel, name='export_Excel'),
    path('send_timbres_cliente/',send_timbres_Email, name='send_timbres_Email'),
    path('getActivoRFC/', check_RFC.as_view(), name='check_active_RFC'),
    path('get_saldo2/', saldo_funct2.as_view(), name='saldo_funct2'),
    path('check_host/',check_host.as_view(),name='check_host'),
    path('emails_cliente/',Retrive_Cliente_Email, name='Retrive_Cliente_Email'),
    path('pacs/list/',PACS_Retrive_RFCS,name='PACS_Retrive_RFCS'),
]